添加 userFlowIdentityProvider

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

b2cIdentityUserFlow 对象中添加标识提供程序。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) IdentityUserFlow.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 IdentityUserFlow.ReadWrite.All

工作或学校帐户需要属于以下角色之一:

  • 全局管理员
  • 外部 ID 用户流管理员

HTTP 请求

PATCH /identity/b2cUserFlows/{userflow-id}/userflowIdentityProviders/$ref

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供要添加的 id identityProvider 的 JSON 表示形式。 有关可用于用户流的标识提供程序详细信息,请参阅 identityProviders 资源。

响应

如果成功,此方法返回 204 No Content 响应代码。 如果失败, 4xx 将返回包含特定错误详细信息的错误。

示例

请求

下面展示了示例请求。

PATCH https://graph.microsoft.com/beta/identity/b2cUserFlows/B2C_test_signin_signup/userflowIdentityProviders/$ref
Content-type: application/json

{
  "@odata.id": "https://graph.microsoft.com/beta/identity/identityProviders/{id}",
  "@odata.type": "#microsoft.graph.identityProvider"
}

响应

HTTP/1.1 204 No Content